Bug 1103675 - [GSS] Backport of WELD-1478 to EAP 6. Possible memory leak in HttpConversationContextImpl.
Summary: [GSS] Backport of WELD-1478 to EAP 6. Possible memory leak in HttpConversatio...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld
Version: 6.1.0
Hardware: All
OS: All
high
high
Target Milestone: ---
: ---
Assignee: Martin Kouba
QA Contact: Ron Šmeral
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-02 10:40 UTC by Ingo Weiss
Modified: 2016-11-01 01:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-04 11:06:09 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker WELD-1478 0 Critical Resolved possible memory leak in HttpConversationContextImpl 2018-07-17 06:12:31 UTC

Description Ingo Weiss 2014-06-02 10:40:12 UTC
This bug is showing up on EAP 6.1.0 at least and was fixed on Weld 2.0, needing backport to Weld 1.1 series.

Heap dump shows leaking on org.jboss.weld.context.CreationalContextImpl with more than 10MM objects in memory being help by 5MM+ org.jboss.weld.context.SerializableContextualInstanceImpl.


Note You need to log in before you can comment on or make changes to this bug.